<?php

Yii::import('application.modules.core_models.models._base.BaseModel');

/**
 * This is the model base class for the table "pre_partner_data_feed".
 * DO NOT MODIFY THIS FILE! It is automatically generated by giix.
 * If any changes are necessary, you must set or override the required
 * property or method in class "PrePartnerDataFeed".
 *
 * Columns in table "pre_partner_data_feed" available as properties of the model,
 * and there are no model relations.
 *
 * @property string $id
 * @property string $timestamp
 * @property string $entity_type
 * @property string $data_object
 * @property string $operation
 * @property string $partner_site_id
 * @property integer $integrity_check_log_id
 *
 */
abstract class BasePrePartnerDataFeed extends BaseModel
{

    public static function model($className = __CLASS__)
    {
        return parent::model($className);
    }

    public function tableName()
    {
        return 'pre_partner_data_feed';
    }

    public static function label($n = 1)
    {
        return Yii::t('app', 'PrePartnerDataFeed|PrePartnerDataFeeds', $n);
    }

    public static function representingColumn()
    {
        return 'timestamp';
    }

    public function rules()
    {
        return array(
            array('timestamp, entity_type, data_object, operation', 'required'),
            array('integrity_check_log_id', 'numerical', 'integerOnly' => true),
            array('entity_type, operation', 'length', 'max' => 64),
            array('partner_site_id', 'length', 'max' => 20),
            array('partner_site_id, integrity_check_log_id', 'default', 'setOnEmpty' => true, 'value' => null),
            array('id, timestamp, entity_type, data_object, operation, partner_site_id, integrity_check_log_id', 'safe', 'on' => 'search'),
        );
    }

    public function relations()
    {
        return array(
        );
    }

    public function pivotModels()
    {
        return array(
        );
    }

    public function attributeLabels()
    {
        return array(
            'id' => Yii::t('app', 'ID'),
            'timestamp' => Yii::t('app', 'Timestamp'),
            'entity_type' => Yii::t('app', 'Entity Type'),
            'data_object' => Yii::t('app', 'Data Object'),
            'operation' => Yii::t('app', 'Operation'),
            'partner_site_id' => Yii::t('app', 'Partner Site'),
            'integrity_check_log_id' => Yii::t('app', 'Integrity Check Log'),
        );
    }

    public function search()
    {
        $criteria = new CDbCriteria;

        $criteria->compare('id', $this->id, true);
        $criteria->compare('timestamp', $this->timestamp, true);
        $criteria->compare('entity_type', $this->entity_type, true);
        $criteria->compare('data_object', $this->data_object, true);
        $criteria->compare('operation', $this->operation, true);
        $criteria->compare('partner_site_id', $this->partner_site_id, true);
        $criteria->compare('integrity_check_log_id', $this->integrity_check_log_id);

        return new CActiveDataProvider($this, array(
            'criteria' => $criteria,
        ));
    }

}
